@charset "utf-8";
/* このファイルはUTF-8のBOMなし(UTF-8N)で保存しています

/**
 * CSS Information
 * ===============================================================
 *
 * File name: _contents.scss
 * Summary:   ページ・コンテンツごとの固有スタイル
 * Author:    CrEa., Inc.
 *
 * -----------------------------------
 *
 * TOC:
 *     =1    start
 *
 * ===============================================================
*/

/** =1
 * ========================================
 * start
 * ========================================
 */

/** =2
 * ========================================
 * login
 * ========================================
 */
body[id="login"] .l-contents {
  overflow-x: clip;
  position: relative;
  z-index: 1;
}
body[id="login"] .l-contents::before {
  position: absolute;
  z-index: -1;
  inset-block-start: 0;
  inset-inline-end: 0;
  rotate: y 180deg;
  translate: 0 calc(-56 / 564 * 100%);
  width: min(478px, calc(240 / 390 * 100dvw));
  aspect-ratio: 478 / 564;
  background-image: url(/assets/rally/img/rojiura2026/image/common/illust_bg_leaf1.png);
  background-position: 0% 50%;
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
}
body[id="login"] .l-contents::after {
  position: absolute;
  z-index: -1;
  inset-block-end: 0;
  inset-inline-start: 0;
  width: min(561px, calc(324 / 390 * 100dvw));
  aspect-ratio: 561 / 254;
  background-image: url(/assets/rally/img/rojiura2026/image/common/illust_bg_leaf3.png);
  background-position: 0% 100%;
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
}

/** =3
 * ========================================
 * registration
 * ========================================
 */
body[id="registration"] .l-contents {
  position: relative;
  z-index: 0;
}
body[id="registration"] .l-contents::before {
  position: absolute;
  z-index: -1;
  inset-block-start: 0;
  inset-inline-start: 0;
  translate: 0 calc(-40 / 564 * 100%);
  width: min(478px, calc(242 / 390 * 100dvw));
  aspect-ratio: 478 / 564;
  background-image: url(/assets/rally/img/rojiura2026/image/common/illust_bg_leaf1.png);
  background-position: 0% 50%;
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
}
body[id="registration"] .l-contents::after {
  position: absolute;
  z-index: -1;
  inset-block-end: 0;
  inset-inline-end: 0;
  translate: calc(72 / 420 * 100%) 0;
  width: min(420px, calc(210 / 390 * 100dvw));
  aspect-ratio: 420 / 722;
  background-image: url(/assets/rally/img/rojiura2026/image/common/illust_bg_leaf2.png);
  background-position: 100% 50%;
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
}

.sectionRegistration {
}
.sectionRegistration .sectionRegistrationNav {
  margin-block-end: clamp(32px, calc(48 / 1280 * 100cqw), 48px);
}
.sectionRegistration .sectionRegistrationNav .sectionRegistrationNavItem {
  width: min(240px, calc((100% - 32px) / 2));
}
.sectionRegistration
  .sectionRegistrationNav
  .sectionRegistrationNavItem
  .linkBtn {
  width: 100%;
  font-size: clamp(1.3rem, calc(16 / 768 * 100cqw), 1.6rem);
  padding-inline: calc(16 / 16 * 1em);
}

.sectionRegistration .sectionRegistrationContent {
  width: min(640px, 100%);
  margin-inline: auto;
}

.sectionRegistration .sectionRegistrationReadText {
  margin-block-end: clamp(32px, calc(40 / 1280 * 100cqw), 40px);
  font-size: clamp(1.4rem, calc(16 / 768 * 100cqw), 1.6rem);
  line-height: 1.6;
}

/*========================================
 * for mail magazine members
 * ========================================
 */

/*========================================
 * for new members
 * ========================================
 */

/** =4
 * ========================================
 * profile
 * ========================================
 */
body[id="profile"] .l-contents {
  overflow-x: clip;
  position: relative;
  z-index: 1;
}
body[id="profile"] .l-contents::before {
  position: absolute;
  z-index: -1;
  inset-block-start: 0;
  inset-inline-end: 0;
  rotate: y 180deg;
  translate: 0 calc(-56 / 564 * 100%);
  width: min(478px, calc(240 / 390 * 100dvw));
  aspect-ratio: 478 / 564;
  background-image: url(/assets/rally/img/rojiura2026/image/common/illust_bg_leaf1.png);
  background-position: 0% 50%;
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
}
body[id="profile"] .l-contents::after {
  position: absolute;
  z-index: -1;
  inset-block-end: 0;
  inset-inline-start: 0;
  width: min(561px, calc(324 / 390 * 100dvw));
  aspect-ratio: 561 / 254;
  background-image: url(/assets/rally/img/rojiura2026/image/common/illust_bg_leaf3.png);
  background-position: 0% 100%;
  background-repeat: no-repeat;
  background-size: contain;
  content: "";
}
